get plan version
curl --request GET \
--url https://api.unprice.dev/v1/plan-versions/get/{planVersionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.unprice.dev/v1/plan-versions/get/{planVersionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.unprice.dev/v1/plan-versions/get/{planVersionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"planVersion": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"planId": "<string>",
"description": "<string>",
"latest": true,
"title": "<string>",
"tags": [
"<string>"
],
"active": true,
"publishedAt": 123,
"publishedBy": "<string>",
"archived": true,
"archivedAt": 123,
"archivedBy": "<string>",
"billingConfig": {
"name": "<string>",
"billingIntervalCount": 30,
"billingAnchor": 16
},
"gracePeriod": 123,
"trialUnits": 123,
"autoRenew": true,
"metadata": {
"externalId": "<string>"
},
"paymentMethodRequired": true,
"version": 123,
"plan": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"slug": "<string>",
"title": "<string>",
"active": true,
"description": "<string>",
"metadata": {
"externalId": "<string>"
},
"defaultPlan": true,
"enterprisePlan": true
},
"planFeatures": [
{
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"planVersionId": "<string>",
"featureId": "<string>",
"unitOfMeasure": "<string>",
"config": {
"price": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"tiers": [
{
"unitPrice": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"flatPrice": {
"dinero": {
"amount": 123,
"currency": {
"code": "<string>",
"base": 123,
"exponent": 123
},
"scale": 123
},
"displayAmount": "<string>"
},
"firstUnit": 2,
"lastUnit": 2,
"label": "<string>"
}
],
"units": 2
},
"billingConfig": {
"name": "<string>",
"billingIntervalCount": 30,
"billingAnchor": 16
},
"metadata": {
"realtime": false,
"notifyUsageThreshold": 95,
"overageStrategy": "none",
"blockCustomer": false,
"hidden": false,
"billingCadenceOverride": true,
"resetCadenceOverride": true
},
"order": 123,
"displayFeatureText": "<string>",
"feature": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"slug": "<string>",
"code": 123,
"unitOfMeasure": "<string>",
"title": "<string>",
"description": "<string>",
"meterConfig": {
"eventId": "<string>",
"eventSlug": "<string>",
"aggregationField": "<string>",
"filters": {},
"groupBy": [
"<string>"
]
}
},
"resetConfig": {
"name": "<string>",
"resetIntervalCount": 30,
"resetAnchor": 16
},
"defaultQuantity": 1,
"limit": 123,
"meterConfig": {
"eventId": "<string>",
"eventSlug": "<string>",
"aggregationField": "<string>",
"filters": {},
"groupBy": [
"<string>"
]
}
}
],
"flatPrice": "<string>"
}
}{
"error": {
"code": "BAD_REQUEST",
"docs": "https://docs.unprice.dev/api-reference/errors/code/BAD_REQUEST",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "UNAUTHORIZED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/UNAUTHORIZED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "FORBIDDEN",
"docs": "https://docs.unprice.dev/api-reference/errors/code/FORBIDDEN",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "NOT_FOUND",
"docs": "https://docs.unprice.dev/api-reference/errors/code/NOT_FOUND",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "CONFLICT",
"docs": "https://docs.unprice.dev/api-reference/errors/code/CONFLICT",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "PRECONDITION_FAILED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/PRECONDITION_FAILED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"docs": "https://docs.unprice.dev/api-reference/errors/code/TOO_MANY_REQUESTS",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"docs": "https://docs.unprice.dev/api-reference/errors/code/INTERNAL_SERVER_ERROR",
"message": "<string>",
"requestId": "req_1234"
}
}planVersions
get plan version
Get a plan version by id
GET
/
v1
/
plan-versions
/
get
/
{planVersionId}
get plan version
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The plan version id
Example:
"pv_1H7KQFLr7RepUyQBKdnvY"
Response
The result of the get plan version
Complete API response schema for a plan version including plan details, all features with display text, and calculated pricing
Show child attributes
Show child attributes
⌘I